Debian Bug report logs - #635627
zvol (ZFS volumes) should be available before checkroot.sh

version graph

Package: zfsutils; Maintainer for zfsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for zfsutils is src:zfsutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Wed, 27 Jul 2011 18:00:01 UTC

Severity: normal

Tags: patch

Fixed in version zfsutils/8.2-3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#635627; Package initscripts. (Wed, 27 Jul 2011 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 27 Jul 2011 18:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zvol (ZFS volumes) should be available before checkroot.sh
Date: Wed, 27 Jul 2011 19:57:29 +0200
[Message part 1 (text/plain, inline)]
Package: initscripts
Version: 2.88dsf-13.11
Severity: normal
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

checkroot.sh attempts to initialize swap and fsck the root filesystem,
either of which may be provided by zvol (/etc/init.d/zfs) if they're setup
as ZFS volumes.  However, currently /etc/init.d/zfs may be started after
checkroot.sh, breaking the boot sequence.

Later checkfs.sh and mountall.sh have similar problems.

Attached patch resolves this by adding zvol to Should-Start.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages initscripts depends on:
ii  coreutils                  8.5-1         GNU core utilities
ii  debianutils                4.0.2         Miscellaneous utilities specific t
ii  libc0.1                    2.13-10       Embedded GNU C Library: Shared lib
ii  lsb-base                   3.2-27        Linux Standard Base 3.2 init scrip
ii  sysv-rc                    2.88dsf-13.11 System-V-like runlevel change mech
ii  sysvinit-utils             2.88dsf-13.11 System-V-like utilities

Versions of packages initscripts recommends:
ii  e2fsprogs          1.42~WIP-2011-07-02-1 ext2/ext3/ext4 file system utiliti
pn  psmisc             <none>                (no description available)

initscripts suggests no packages.

-- Configuration Files:
/etc/init.d/checkroot.sh changed [not included]

-- no debconf information
[zvol.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#635627; Package initscripts. (Wed, 27 Jul 2011 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 27 Jul 2011 18:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 635627@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Robert Millan <rmh@debian.org>, 635627@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#635627: zvol (ZFS volumes) should be available before checkroot.sh
Date: Wed, 27 Jul 2011 20:10:10 +0200
reassign 635627 zfsutils
thanks

[Robert Millan]
> checkroot.sh attempts to initialize swap and fsck the root filesystem,
> either of which may be provided by zvol (/etc/init.d/zfs) if they're setup
> as ZFS volumes.  However, currently /etc/init.d/zfs may be started after
> checkroot.sh, breaking the boot sequence.
> 
> Later checkfs.sh and mountall.sh have similar problems.
> 
> Attached patch resolves this by adding zvol to Should-Start.

While this approch would work, I believe the dependency should be put
in the /etc/init.d/zfs script instead, as it is the less common
script.  Put 'X-Start-Before: checkroot' in it to get the ordering you
want (if I remember correctly).

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package 'initscripts' to 'zfsutils'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:27:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions sysvinit/2.88dsf-13.11. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#635627; Package zfsutils. (Wed, 27 Jul 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 27 Jul 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 635627@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 635627@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#635627: zvol (ZFS volumes) should be available before checkroot.sh
Date: Wed, 27 Jul 2011 20:41:59 +0200
2011/7/27 Petter Reinholdtsen <pere@hungry.com>:
> While this approch would work, I believe the dependency should be put
> in the /etc/init.d/zfs script instead, as it is the less common
> script.  Put 'X-Start-Before: checkroot' in it to get the ordering you
> want (if I remember correctly).

Sounds right, thanks for the hint (and sorry I didn't know).

-- 
Robert Millan




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:45:07 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 27 Jul 2011 21:30:16 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Wed, 27 Jul 2011 21:30:16 GMT) Full text and rfc822 format available.

Message #26 received at 635627-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 635627-close@bugs.debian.org
Subject: Bug#635627: fixed in zfsutils 8.2-3
Date: Wed, 27 Jul 2011 21:26:33 +0000
Source: zfsutils
Source-Version: 8.2-3

We believe that the bug you reported is fixed in the latest version of
zfsutils, which is due to be installed in the Debian FTP archive:

libnvpair-dev_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair-dev_8.2-3_kfreebsd-amd64.deb
libnvpair0-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libnvpair0-udeb_8.2-3_kfreebsd-amd64.udeb
libnvpair0_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libnvpair0_8.2-3_kfreebsd-amd64.deb
libumem-dev_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libumem-dev_8.2-3_kfreebsd-amd64.deb
libumem0-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libumem0-udeb_8.2-3_kfreebsd-amd64.udeb
libumem0_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libumem0_8.2-3_kfreebsd-amd64.deb
libuutil-dev_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil-dev_8.2-3_kfreebsd-amd64.deb
libuutil0-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libuutil0-udeb_8.2-3_kfreebsd-amd64.udeb
libuutil0_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libuutil0_8.2-3_kfreebsd-amd64.deb
libzfs-dev_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs-dev_8.2-3_kfreebsd-amd64.deb
libzfs0-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzfs0-udeb_8.2-3_kfreebsd-amd64.udeb
libzfs0_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzfs0_8.2-3_kfreebsd-amd64.deb
libzpool-dev_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzpool-dev_8.2-3_kfreebsd-amd64.deb
libzpool0-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/libzpool0-udeb_8.2-3_kfreebsd-amd64.udeb
libzpool0_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/libzpool0_8.2-3_kfreebsd-amd64.deb
zfsutils-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/z/zfsutils/zfsutils-udeb_8.2-3_kfreebsd-amd64.udeb
zfsutils_8.2-3.debian.tar.gz
  to main/z/zfsutils/zfsutils_8.2-3.debian.tar.gz
zfsutils_8.2-3.dsc
  to main/z/zfsutils/zfsutils_8.2-3.dsc
zfsutils_8.2-3_kfreebsd-amd64.deb
  to main/z/zfsutils/zfsutils_8.2-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635627@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated zfsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jul 2011 21:08:42 +0200
Source: zfsutils
Binary: libuutil0 libuutil-dev libuutil0-udeb libnvpair0 libnvpair-dev libnvpair0-udeb libzfs0 libzfs-dev libzfs0-udeb zfsutils zfsutils-udeb libumem0 libumem-dev libumem0-udeb libzpool0 libzpool-dev libzpool0-udeb
Architecture: source kfreebsd-amd64
Version: 8.2-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libnvpair-dev - Development files for libnvpair
 libnvpair0 - OpenSolaris name-value pair library
 libnvpair0-udeb - OpenSolaris name-value pair library (udeb)
 libumem-dev - Development files for libnvpair
 libumem0   - OpenSolaris name-value pair library
 libumem0-udeb - OpenSolaris name-value pair library (udeb)
 libuutil-dev - Development files for libuutil
 libuutil0  - OpenSolaris userland utility library
 libuutil0-udeb - OpenSolaris userland utility library (udeb)
 libzfs-dev - Development files for libzfs
 libzfs0    - FreeBSD ZFS library
 libzfs0-udeb - FreeBSD ZFS library (udeb)
 libzpool-dev - Development files for libnvpair
 libzpool0  - OpenSolaris name-value pair library
 libzpool0-udeb - OpenSolaris name-value pair library (udeb)
 zfsutils   - command-line tools to manage ZFS filesystems
 zfsutils-udeb - command-line tools to manage ZFS filesystems (udeb)
Closes: 635627
Changes: 
 zfsutils (8.2-3) unstable; urgency=low
 .
   * Set "X-Start-Before: checkroot" so that boot doesn't break when
     fstab relies on ZFS volumes.  (Closes: #635627)
   * Do not mount/unmount filesystems! This may result in unbootable
     system if their mountpoints collide (typical in a dual-boot
     machine). Use /etc/fstab instead.
   * Set "X-Stop-After: umountfs" to ensure ZVOLs are no longer in use
     when "zfs volfini" is called.
   * Add myself to Uploaders.
Checksums-Sha1: 
 b67fe22bac80a2f86b62b391a284410467081624 1555 zfsutils_8.2-3.dsc
 67c05550bb7c15b721f2a2f20abc2666f3f48f36 26633 zfsutils_8.2-3.debian.tar.gz
 9921134c3a42a30eabfcabcb22d3341502e3ee56 29032 libuutil0_8.2-3_kfreebsd-amd64.deb
 7b47035e3243f45ffb096d77af131f46800b328d 30148 libuutil-dev_8.2-3_kfreebsd-amd64.deb
 7ae08f507a4b93f0e9925316a832dc55af4ccb73 17080 libuutil0-udeb_8.2-3_kfreebsd-amd64.udeb
 2075eebb6e57997dd1cd4867025cf078b34d5041 30522 libnvpair0_8.2-3_kfreebsd-amd64.deb
 1fc20fb3a53731d1a2d16ed8d3796c0b634820fa 30280 libnvpair-dev_8.2-3_kfreebsd-amd64.deb
 7c468161569a796158c5cd9f3172ba713188bb18 18604 libnvpair0-udeb_8.2-3_kfreebsd-amd64.udeb
 7a8d7e217fd0c1af467af18fd7394a673c5cb9c1 104178 libzfs0_8.2-3_kfreebsd-amd64.deb
 a304189b10bea3eb7a446c414bed93956130f7ff 133518 libzfs-dev_8.2-3_kfreebsd-amd64.deb
 f22595171186d2bbe2fadc978cb308d70d2131f9 92616 libzfs0-udeb_8.2-3_kfreebsd-amd64.udeb
 dc2b6f2e6de0fb453577e39285dbcdbef5e192ee 186724 zfsutils_8.2-3_kfreebsd-amd64.deb
 49a454de1485a07997a1c11d13e9b8a7dc737364 65770 zfsutils-udeb_8.2-3_kfreebsd-amd64.udeb
 400201c710e918951328a9882586332ee20ca0aa 14742 libumem0_8.2-3_kfreebsd-amd64.deb
 36eb04a4edf41e1f624163f88f366ae7ad27245a 13686 libumem-dev_8.2-3_kfreebsd-amd64.deb
 c54174eb9fb51be2283621c489c12ed4d0eea56f 3016 libumem0-udeb_8.2-3_kfreebsd-amd64.udeb
 ffef821c6f66b48c8831d31d87bd7d44d0ac8b80 380020 libzpool0_8.2-3_kfreebsd-amd64.deb
 8ab8dac6c87774448464da9479602497042929b4 481072 libzpool-dev_8.2-3_kfreebsd-amd64.deb
 9faa43d014006879ccbbe5dd43f7490c0c541813 367504 libzpool0-udeb_8.2-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 412a1c15fe33171cd8ed56964457c6c6205515050fc4c5a7b5d907e06781e944 1555 zfsutils_8.2-3.dsc
 9f0ef90f5faac09e95918e406e46b18f0663c22174f7585ac7feaa3295c88a43 26633 zfsutils_8.2-3.debian.tar.gz
 28f2f7d1a952bb73ec29093a92069c667e9d3a51c67765b2dbde372fde219f2e 29032 libuutil0_8.2-3_kfreebsd-amd64.deb
 334dca7efa2f818905aa4608e0c13a0f4e6420d4c1da204bb062c19ba8ada9a8 30148 libuutil-dev_8.2-3_kfreebsd-amd64.deb
 3babc9809618e526d857f75260b1393704cf116f208f6fd6d41a8c4caddd6f9b 17080 libuutil0-udeb_8.2-3_kfreebsd-amd64.udeb
 884c8b1c3df7d783a8422477e47501c1f4a16739e38ca0d6f74fba11d74866fb 30522 libnvpair0_8.2-3_kfreebsd-amd64.deb
 373ca6b5111c4861ae89a6b9a9df8b62760bac6ac5fdca5e681dbec12f549b49 30280 libnvpair-dev_8.2-3_kfreebsd-amd64.deb
 821eb56c2508ac9d47581c28cfd0390d703a0d5f18df765994774d349de1a3b7 18604 libnvpair0-udeb_8.2-3_kfreebsd-amd64.udeb
 22cf46c6a8b9938b9b917bc29d67c82db6563f6783001617387be8695dd0f6f8 104178 libzfs0_8.2-3_kfreebsd-amd64.deb
 952196c8f9607488cf76c5b66ec1d9ec7cffbd5b04e4e3080b153c2308589a4b 133518 libzfs-dev_8.2-3_kfreebsd-amd64.deb
 028a34b05fd353ec63a01e1dcf5251de1bd7f5fd4652ce752862cc06a60132f2 92616 libzfs0-udeb_8.2-3_kfreebsd-amd64.udeb
 f850e1aebe1b1c0640b16baf3438a4982a3894d10d81109ee7c3be9e75a7735e 186724 zfsutils_8.2-3_kfreebsd-amd64.deb
 0a6b1e363498d325f245b849313836d3719069e4efdfebe327da258bfc9166a8 65770 zfsutils-udeb_8.2-3_kfreebsd-amd64.udeb
 d01d32fff4f56a602268d8a1c5da1d2b5e8401190e6fcd6921db1703b488f6bc 14742 libumem0_8.2-3_kfreebsd-amd64.deb
 37151457bf1120c2439c8a3537427fffd5842adb8d678dad73dbe19cddf14f36 13686 libumem-dev_8.2-3_kfreebsd-amd64.deb
 10abf3acdba4acf86d28f192dde8ea60f30e34d66a465181e6cd8cb3032c5121 3016 libumem0-udeb_8.2-3_kfreebsd-amd64.udeb
 234970ef776ab83317edcae8a7e62018126fe18cdd520fef5b20ae14cebb4f74 380020 libzpool0_8.2-3_kfreebsd-amd64.deb
 c95b8ae398b649b861d757a48a085dbe296b228075fb6ab2c3ca2330a02c51bb 481072 libzpool-dev_8.2-3_kfreebsd-amd64.deb
 3e8f49fd340bf6f94b5ab39512e77294e2e3db23196b0fb1f512a7477c9f51d7 367504 libzpool0-udeb_8.2-3_kfreebsd-amd64.udeb
Files: 
 0309f61fe5b2a141ccf1cbb7cfb762be 1555 admin optional zfsutils_8.2-3.dsc
 d687d1104b781ae0c3d725e6e9370f1a 26633 admin optional zfsutils_8.2-3.debian.tar.gz
 9c5f150283092f091709fc168dbd45ff 29032 libs optional libuutil0_8.2-3_kfreebsd-amd64.deb
 3448f85a3b46d42e32aa981dd5fede68 30148 libdevel optional libuutil-dev_8.2-3_kfreebsd-amd64.deb
 f7bda0d1a439110e784d5d1f09e221ed 17080 debian-installer optional libuutil0-udeb_8.2-3_kfreebsd-amd64.udeb
 86774289e9ad7fe1fb26fbe745b11e3e 30522 libs optional libnvpair0_8.2-3_kfreebsd-amd64.deb
 997e0b8ed2d465a68a5a41f5d50c54fd 30280 libdevel optional libnvpair-dev_8.2-3_kfreebsd-amd64.deb
 91a53d2a4137cb2ade0b62b6ab733f2e 18604 debian-installer optional libnvpair0-udeb_8.2-3_kfreebsd-amd64.udeb
 80fc0f8652a477da5826c266eb2fd1dc 104178 libs optional libzfs0_8.2-3_kfreebsd-amd64.deb
 346a5f44c3b2aa15f7482643769d1c8b 133518 libdevel optional libzfs-dev_8.2-3_kfreebsd-amd64.deb
 e9baa04ef87647fe69791c84c5ab7b85 92616 debian-installer optional libzfs0-udeb_8.2-3_kfreebsd-amd64.udeb
 1cd24494fb2c2c5270b78de4f95ddd45 186724 admin optional zfsutils_8.2-3_kfreebsd-amd64.deb
 fbcc82ae8bcd1a9a222835d4217dfb8f 65770 debian-installer optional zfsutils-udeb_8.2-3_kfreebsd-amd64.udeb
 cea953f711f60a3d7bc1fa27098a2320 14742 libs optional libumem0_8.2-3_kfreebsd-amd64.deb
 c8dbcb3105817f33d8c61b4b609d1395 13686 libdevel optional libumem-dev_8.2-3_kfreebsd-amd64.deb
 ea1699e1dcc6a4da2e464a36c7605919 3016 debian-installer optional libumem0-udeb_8.2-3_kfreebsd-amd64.udeb
 d645757154ac30d64c5b41300a0c2b05 380020 libs optional libzpool0_8.2-3_kfreebsd-amd64.deb
 e1739c9f4cbb4eff4561e6b5fae7a7f0 481072 libdevel optional libzpool-dev_8.2-3_kfreebsd-amd64.deb
 88d8d4dda353ff1f8538e60ee88cbb19 367504 debian-installer optional libzpool0-udeb_8.2-3_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4wb6EACgkQC19io6rUCv+FcgCgia89HOMQijLqdsRzlZbwiEtp
eSQAniPGmww+ZyYzVddtUXwtxiZsM5dc
=mJ/D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Sep 2011 07:34:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:01:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.